﻿using Prism.Unity;
using PrismTest.Views;
using Microsoft.Practices.Unity;

namespace PrismTest
{
	public partial class App : PrismApplication
	{
		public App(IPlatformInitializer initializer = null) : base(initializer) { }

		protected override void OnInitialized()
		{
			InitializeComponent();

			NavigationService.NavigateAsync("MainPage?title=Hello%20from%20Xamarin.Forms");
		}

		protected override void RegisterTypes()
		{
			Container.RegisterTypeForNavigation<MainPage>();
			Container.RegisterTypeForNavigation<NewPage>();
            //Container.RegisterTypeForNavigation<MenuPage>();
            Container.RegisterTypeForNavigation<DashboardPage>();
        }
	}
}

