﻿using Xamarin.Forms;
using Prism;
using Prism.Unity;
using Prism.Navigation;
using SlideOverKit;

namespace PrismTest.Views
{
	public partial class MainPage : MenuContainerPage
	{
		readonly INavigationService _navigationService;

		void Handle_Clicked(object sender, System.EventArgs e)
		{
			_navigationService.NavigateAsync("NewPage");
		}

		void Menu_Clicked(object sender, System.EventArgs e)
		{
			this.ShowMenu();
		}

		public MainPage()
		{
			InitializeComponent();
			this.SlideMenu = new MenuPage();
		}
	}
}

